TAAS - Feature #136

Outstanding Supplier Report
02/02/2023 03:04 PM - Anil KV

Status: New Changes Coding Done Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Outstanding Supplier Report

Description

Coding Outstanding Supplier Report

History

#1 - 02/17/2023 04:43 PM - Junaid M
- File SQL-Outstanding-Supplier.sql added

Ul Change

Rename Label MainLedger to "Supplier"
Supplier: Customer + Act As Supplier
Change Currency Format to Report Style

Controller: BackOfficeReporController.cs
Cs: OustandingSupplier.cs

Reference Module: Posting Summary

#2 - 02/17/2023 04:50 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 02/17/2023 06:20 PM - Junaid M
- Assignee changed from Junaid M to Akash B

#4 - 02/18/2023 09:59 AM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 02/20/2023 09:48 AM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#6 - 02/21/2023 05:50 PM - Akash B
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#7 - 02/24/2023 03:06 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.Fix bugs on currency while choosing Base 1 & 2
2.Phone , Email , Addres not showing on grid
3.Set validation on date picker
(To date not be less than From date)

#8 - 02/25/2023 09:59 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 03/01/2023 05:58 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix error while choosing Base 1 currency (TS.)

#10 - 03/01/2023 06:00 PM - Amal Cyriac

ISSUE FOUND *****
1.Fix error while choosing Base 1 currency (TS.)
2.Add precision on grid

#11 - 03/01/2023 06:54 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 03/14/2023 03:35 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND ****

1.Fix error while choosing Base 1 & 2 currency (TS.)
2.Add precision on grid

3.Fix bugs on Consider "Selection box'

(Drop down button missing)

#13 - 03/14/2023 05:57 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 03/17/2023 05:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error while choose currency
(Base 1 & 2)

2.Report values must be converted
(While choose Base 1 & 2)

#15 - 03/20/2023 06:23 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Error Fixed

#16 - 03/25/2023 09:50 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Calculation mistakes/bugs on Closing Balance & Opening Balance
(While currency change)

#17 - 03/25/2023 04:14 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Amount Calculation Issue Fixed

#18 - 06/01/2023 12:35 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Modify Amount Column as
Opening Balance | Dr Outstanding | Cr Outstanding | Matched | Net Balance | Closing Balance

#19 - 06/01/2023 02:13 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Changes Applied..

#20 - 07/28/2023 06:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

#21 - 07/29/2023 03:33 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

bugs Fixed

#22 - 08/07/2023 06:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CORRECT THE DR,CR AMOUNT IN NET BALANCE
2.ADD AIRLINE THAT ACT US SUPPLIER

#23 - 08/08/2023 06:06 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Bugs Fixed

#24 - 08/12/2023 06:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.SHOWING NEGATIVE AMOUNT IN TOTAL
2.ISSUE IN OPENING BALANCE AMOUNT

#25 - 08/16/2023 06:20 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 09/12/2023 06:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.ENQUIRY,XO WISE FILTER SEARCH NOT WORKING

#27 - 10/07/2023 05:22 PM - Junaid M
- Assignee changed from Akash B to Vivekp V

#28 - 10/12/2023 11:53 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1.ENQUIRY,XO WISE FILTER SEARCH NOT WORKING
#29 - 02/06/2024 05:11 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.CLEAR THOSE ACCOUNTS FROM LIST THERE FULL SETTLEMENT WAS DONE
FIXED - 2.SHOW NO DATA FOUND MESSAGE AS GREEN

ON HOLD - 3.CORRECT THE WORKING OF CONSIDER MATCHING DONE CHECK BOX
FIXED - 4.SHOW SUPPLIER SIDE MAIN LEDGER ONLY IN MAIN LEDGER MULTY SELECT UI
FIXED - 5.SHOW MATCHED AMOUNT IN PRINT LIST

ON HOLD - 6.MISS MATCH IN MATCHED AMOUNT COLUMN IN LIST AFTER SETTLEMENT
FIXED - 7.HIDE RESET BUTTON AND SHOW IT IN CASE OF SHOWING LIST IN Ul

#30 - 02/08/2024 11:26 AM - Junaid M

- Assignee changed from Vivekp V to Baseem Shan

#31 - 02/13/2024 04:55 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 02/23/2024 01:05 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISS MATCH IN OUTSTANDING AMOUNTS AFTER CHOOSING MATCHED DATE WISE LIST
#33 - 02/24/2024 06:16 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#34 - 08/28/2024 04:57 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

Service Date As on [Checkbox(Untick) + Date Picker(Disable)
Date Picker and table title -> Travel Date done before The Date
Checkbox Title -> Tick then the date mandatory(Default Load To Date)

#35 - 09/25/2024 11:39 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#36 - 01/20/2025 12:03 PM - Arathy PS

- Assignee changed from Baseem Shan to Sreeranjini T

Files

SQL-Outstanding-Supplier.sql 3.06 KB 02/17/2023
